#### PGP

#### Synopsis

    HELP:   PGP key group delete
    TYPE:   OBJECT
    SYNTAX: PGP(USERID='str',TIMESTAMP=num,FKM5())

#### Description

With this object you can specify parameters to delete PGP keys. The user ID defines which set of keys are to be deleted.

If no timestamp is provided, the currently active key of the provided user will be deleted. The active key is the youngest of valid keys at the current point in time. If there is more than one matching key (multiple keys with same user ID and creation date), the key with the shortest validity period is deleted.

When providing a timestamp, the key is deleted that matches the user ID and is the youngest of valid keys at the given point in time. Again, the one with the shortest validity period is deleted if there are multiple matches.

#### Arguments

- `STRING: USERID='str' - User ID of the PGP key group to be deleted`
- `NUMBER: TIMESTAMP=num - Time stamp (seconds since 1970) used for key selection [0 - current]`